summaryrefslogtreecommitdiff
path: root/git-pull.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2010-12-16 12:57:15 -0800
committerJunio C Hamano <gitster@pobox.com>2010-12-16 12:57:15 -0800
commit4bb4d30095fbc3b1689cc656e71f6a51e43fbd69 (patch)
tree2865af7e033d5aee40cb589fe8ad8bdfa6d8b143 /git-pull.sh
parentb5c6aac01baf9164e08915b348490710e83119f9 (diff)
parent1c1f3537c0283c92abbca9155813ed62b05cb481 (diff)
downloadgit-4bb4d30095fbc3b1689cc656e71f6a51e43fbd69.tar.gz
Merge branch 'jl/fetch-submodule-recursive'
* jl/fetch-submodule-recursive: fetch_populated_submodules(): document dynamic allocation Submodules: Add the "fetchRecurseSubmodules" config option Add the 'fetch.recurseSubmodules' config setting fetch/pull: Add the --recurse-submodules option Conflicts: builtin/fetch.c
Diffstat (limited to 'git-pull.sh')
-rwxr-xr-xgit-pull.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/git-pull.sh b/git-pull.sh
index 20a3bbea07..eb87f49062 100755
--- a/git-pull.sh
+++ b/git-pull.sh
@@ -38,7 +38,7 @@ test -z "$(git ls-files -u)" || die_conflict
test -f "$GIT_DIR/MERGE_HEAD" && die_merge
strategy_args= diffstat= no_commit= squash= no_ff= ff_only=
-log_arg= verbosity= progress=
+log_arg= verbosity= progress= recurse_submodules=
merge_args=
curr_branch=$(git symbolic-ref -q HEAD)
curr_branch_short="${curr_branch#refs/heads/}"
@@ -105,6 +105,12 @@ do
--no-r|--no-re|--no-reb|--no-reba|--no-rebas|--no-rebase)
rebase=false
;;
+ --recurse-submodules)
+ recurse_submodules=--recurse-submodules
+ ;;
+ --no-recurse-submodules)
+ recurse_submodules=--no-recurse-submodules
+ ;;
--d|--dr|--dry|--dry-|--dry-r|--dry-ru|--dry-run)
dry_run=--dry-run
;;
@@ -217,7 +223,7 @@ test true = "$rebase" && {
done
}
orig_head=$(git rev-parse -q --verify HEAD)
-git fetch $verbosity $progress $dry_run --update-head-ok "$@" || exit 1
+git fetch $verbosity $progress $dry_run $recurse_submodules --update-head-ok "$@" || exit 1
test -z "$dry_run" || exit 0
curr_head=$(git rev-parse -q --verify HEAD)